handle_fasteoi_irq
Prev | Chapter 9. Internal Functions Provided | Next

## Name

handle_fasteoi_irq — irq handler for transparent controllers

## Synopsis

`void handle_fasteoi_irq (` | unsigned int | irq,
| struct irq_desc * | desc`)`;

## Arguments

`irq`

  the interrupt number

`desc`

  the interrupt description structure for this irq

## Only a single callback will be issued to the chip

an ->`eoi` call when the interrupt has been serviced. This enables support for modern forms of interrupt handlers, which handle the flow details in hardware, transparently.

Prev | Up | Next
handle_level_irq | Home | handle_edge_irq